%define upstream_name    HTML-FormHandler-Model-DBIC
%define upstream_version 0.16

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Generate form classes from DBIC schema
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DBIx::Class)
BuildRequires: perl(DBIx::Class::ResultSet::RecursiveUpdate) >= 0.210.0
BuildRequires: perl(DateTime::Format::MySQL)
BuildRequires: perl(DateTime::Format::SQLite)
BuildRequires: perl(DateTime::Format::W3CDTF)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(HTML::FormHandler) >= 0.350.50
BuildRequires: perl(Moose) >= 2.0.700
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(namespace::autoclean) >= 0.90.0
BuildArch:  noarch

%description
Catalyst based application.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%files
%doc Changes INSTALL LICENSE META.json META.yml README SIGNATURE TODO
%{_bindir}/form_generator.pl
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/form_generator.pl

%changelog

* Fri Oct 14 2011 jquelin <jquelin> 0.160.0-1.mga2
+ Revision: 154781
- update to 0.16

* Fri Jun 17 2011 jquelin <jquelin> 0.150.0-1.mga2
+ Revision: 109151
- update to 0.15

* Wed Jan 26 2011 jquelin <jquelin> 0.140.0-2.mga1
+ Revision: 40694
- mageia rebuild
- imported package perl-HTML-FormHandler-Model-DBIC


* Sat Dec 25 2010 Shlomi Fish <shlomif@mandriva.org> 0.140.0-2mdv2011.0
+ Revision: 624896
- Add SQL::Abstract as a dependency
- Upgraded to 0.14 and fixed the build system.
- import perl-HTML-FormHandler-Model-DBIC

